Package fr.gouv.vitam.functionaltest.cucumber.step

# Class SchemaStep

java.lang.Object
fr.gouv.vitam.functionaltest.cucumber.step.CommonStep
fr.gouv.vitam.functionaltest.cucumber.step.SchemaStep

public class SchemaStep extends CommonStep

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class fr.gouv.vitam.functionaltest.cucumber.step.CommonStep

  `CommonStep.MyRunnable`

- ## Field Summary

  ### Fields inherited from class fr.gouv.vitam.functionaltest.cucumber.step.CommonStep

  `world`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SchemaStep(World world)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `importExternalSchema()`
  `void`
  `schema_should_be_deleted(String path)`
  `void`
  `schema_should_contains_path(String path)`
  `void`
  `schema_should_have_string_size(String stringSize)`
  `void`
  `schema_should_have_type_detail(String typeDetail)`
  `void`
  `search_schema(String path)`
  `void`
  `searchSchemaByPath()`
  `void`
  `setFileName(String fileName)`
  define a schema file

  ### Methods inherited from class fr.gouv.vitam.functionaltest.cucumber.step.CommonStep

  `checkOperationStatus, runInVitamThread`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SchemaStep

    public SchemaStep(World world)

- ## Method Details

  - ### setFileName

    @Given("^un fichier schema nomm\u00e9 (.*)$") public void setFileName(String fileName)
    define a schema file
    Parameters:
      `fileName` - name of a sip

  - ### importExternalSchema

    @When("^j\'importe le schema externe$") public void importExternalSchema() throws InvalidParseOperationException, AccessExternalClientException, IOException
    Throws:
      `InvalidParseOperationException`
      `AccessExternalClientException`
      `IOException`

  - ### searchSchemaByPath

    @When("^je recup\u00e8re le schema$") public void searchSchemaByPath() throws VitamClientException
    Throws:
      `VitamClientException`

  - ### schema_should_contains_path

    @Then("^le schema doit contenir le path (.*)$") public void schema_should_contains_path(String path)

  - ### search_schema

    @When("^je cherche le schema ayant le path (.*)$") public void search_schema(String path)

  - ### schema_should_have_type_detail

    @Then("^le type d\u00e9taill\u00e9 du schema est (.*)$") public void schema_should_have_type_detail(String typeDetail)

  - ### schema_should_have_string_size

    @Then("^la taille de la cha\u00eene de caract\u00e8re du schema est (.*)$") public void schema_should_have_string_size(String stringSize)

  - ### schema_should_be_deleted

    @Then("^je supprime le schema dont le path est (.*)$") public void schema_should_be_deleted(String path) throws InvalidParseOperationException, AccessExternalClientException
    Throws:
      `InvalidParseOperationException`
      `AccessExternalClientException`